Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::InterpretationRuleEnum Struct Reference

InterpretationRuleEnum is applied to a reading and maps the values to the given Interpretation. More...

Inheritance diagram for peripheral::GatewaySensorManager::InterpretationRuleEnum:

## Public Attributes

vector< long > | enumValues
| values to map
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRuleInvertable
boolean | invertCondition
| negate rule condition
Public Attributes inherited from peripheral::GatewaySensorManager::InterpretationRule
Interpretation | interpretation
| how to interpret the applied rule
int | ignoreTimeout
| if > 0, ignoring stops after this timeout (seconds), and state changes to unavailable

## Detailed Description

InterpretationRuleEnum is applied to a reading and maps the values to the given Interpretation.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl